### Method

# Gtk ShortcutActionactivate

#### Declaration [src]

    gboolean
    gtk_shortcut_action_activate (
      GtkShortcutAction* self,
      GtkShortcutActionFlags flags,
      GtkWidget* widget,
      GVariant* args
    )

#### Description [src]

Activates the action on the `widget` with the given `args`.

Note that some actions ignore the passed in `flags`, `widget` or `args`.

Activation of an action can fail for various reasons. If the action is not supported by the `widget`, if the `args` don’t match the action or if the activation otherwise had no effect, `FALSE` will be returned.

#### Parameters

`flags`

  Type: `GtkShortcutActionFlags`

  Flags to activate with.

`widget`

  Type: `GtkWidget`

  Target of the activation.

  The data is owned by the caller of the method.

`args`

  Type: `GVariant`

  Arguments to pass.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if this action was activated successfully.